<template>
    <client-only>
        <OwlCarousel
            :margin="20"
            :stage-padding="10"
            :dots="false"
            :nav="false"
            :items="items"
            data-aos="fade-up"
            data-aos-delay="1500"
            data-aos-once="true"
            class="ocarousel"
        >
            <!-- LOADER -->
            <div v-for="index in 5" :key="'m-' + index">
                <div class="mb-md-5 mt-md-0 mt-10">
                    <v-skeleton-loader
                        id="productsLoader"
                        class="mx-auto"
                        max-width="auto"
                        height="300"
                        type="image"
                    />
                    <v-skeleton-loader
                        v-if="showText"
                        class="mt-3"
                        max-width="150"
                        type="text"
                    />
                    <v-skeleton-loader
                        v-if="showText"
                        class="mt-1"
                        max-width="100"
                        type="text"
                    />
                </div>
            </div>
            <!-- LOADER -->
        </OwlCarousel>
    </client-only>
</template>

<script lang="ts">
import { Vue, Component, Prop } from 'vue-property-decorator'
import { mapGetters } from 'vuex'
@Component({
    computed: {
        ...mapGetters({}),
    },
})
export default class OwlCarouselLoader extends Vue {
    @Prop() text!: boolean

    // Data
    items: number = 5
    showText: boolean = false

    mounted() {
        if (process.browser) {
            if (window.innerWidth <= 460) this.items = 2
        }

        this.showText = this.text
    }
}
</script>
